Standard 3-Manifolds

Standard 3-manifolds whose structures are well-understood. More...

## Classes

class | regina::GraphLoop
| Represents a closed graph manifold formed by joining a single bounded Seifert fibred space to itself along a torus. More...
class | regina::GraphPair
| Represents a closed graph manifold formed by joining two bounded Seifert fibred spaces along a common torus. More...
class | regina::GraphTriple
| Represents a closed graph manifold formed by joining three bounded Seifert fibred spaces along their torus boundaries. More...
class | regina::Handlebody
| Represents an arbitrary handlebody. More...
class | regina::LensSpace
| Represents a general lens space. More...
class | regina::Manifold
| Represents a particular 3-manifold. More...
struct | regina::SFSFibre
| Represents an exceptional (alpha, beta) fibre in a Seifert fibred space. More...
class | regina::SFSpace
| Represents a general Seifert fibred space, which may be orientable or non-orientable. More...
class | regina::SFSAltSet
| Provides a variety of alternative representations of a single bounded Seifert fibred space. More...
class | regina::SimpleSurfaceBundle
| Represents a particularly simple closed surface bundle over the circle. More...
class | regina::SnapPeaCensusManifold
| Represents a 3-manifold from the SnapPea cusped census. More...
class | regina::TorusBundle
| Represents a torus bundle over the circle. More...

## Typedefs

typedef GraphLoop | regina::NGraphLoop
| Deprecated typedef for backward compatibility. More...
typedef GraphPair | regina::NGraphPair
| Deprecated typedef for backward compatibility. More...
typedef Handlebody | regina::NHandlebody
| Deprecated typedef for backward compatibility. More...
typedef LensSpace | regina::NLensSpace
| Deprecated typedef for backward compatibility. More...
typedef Manifold | regina::NManifold
| Deprecated typedef for backward compatibility. More...
typedef SFSFibre | regina::NSFSFibre
| Deprecated typedef for backward compatibility. More...
typedef SFSpace | regina::NSFSpace
| Deprecated typedef for backward compatibility. More...
typedef SFSAltSet | regina::NSFSAltSet
| Deprecated typedef for backward compatibility. More...
typedef SimpleSurfaceBundle | regina::NSimpleSurfaceBundle
| Deprecated typedef for backward compatibility. More...
typedef SnapPeaCensusManifold | regina::NSnapPeaCensusManifold
| Deprecated typedef for backward compatibility. More...
typedef TorusBundle | regina::NTorusBundle
| Deprecated typedef for backward compatibility. More...

## Functions

std::ostream & | regina::operator<< (std::ostream &out, const SFSFibre &f)
| Writes the given fibre in human-readable format to the given output stream. More...

## Detailed Description

Standard 3-manifolds whose structures are well-understood.

## Typedef Documentation

## NGraphLoop

typedef GraphLoop regina::NGraphLoop

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NGraphLoop has now been renamed to GraphLoop.

## NGraphPair

typedef GraphPair regina::NGraphPair

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NGraphPair has now been renamed to GraphPair.

## NHandlebody

typedef Handlebody regina::NHandlebody

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NHandlebody has now been renamed to Handlebody.

## NLensSpace

typedef LensSpace regina::NLensSpace

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NLensSpace has now been renamed to LensSpace.

## NManifold

typedef Manifold regina::NManifold

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NManifold has now been renamed to Manifold.

## NSFSAltSet

typedef SFSAltSet regina::NSFSAltSet

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NSFSAltSet has now been renamed to SFSAltSet.

## NSFSFibre

typedef SFSFibre regina::NSFSFibre

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NSFSFibre has now been renamed to SFSFibre.

## NSFSpace

typedef SFSpace regina::NSFSpace

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NSFSpace has now been renamed to SFSpace.

## NSimpleSurfaceBundle

typedef SimpleSurfaceBundle regina::NSimpleSurfaceBundle

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NSimpleSurfaceBundle has now been renamed to SimpleSurfaceBundle.

## NSnapPeaCensusManifold

typedef SnapPeaCensusManifold regina::NSnapPeaCensusManifold

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NSnapPeaCensusManifold has now been renamed to SnapPeaCensusManifold.

## NTorusBundle

typedef TorusBundle regina::NTorusBundle

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NTorusBundle has now been renamed to TorusBundle.

## Function Documentation

## operator<<()

std::ostream& regina::operator<< | ( | std::ostream & | out,
|  | const SFSFibre & | f
| ) |  |

Writes the given fibre in human-readable format to the given output stream.

The fibre will be written in the format `(alpha,beta)` with no newline appended.

Parameters

  out | the output stream to which to write.
  f | the fibre to write.

Returns
  the output stream out.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).